//--------------------------------------------------------------------------
//
//  Filename:     cywusb6935def.h
//
//  Description:  Contains the radio register definitions for the
//                WirelessUSB  parts  of CYWUSB6935.
//                                             CY Radio Register Definitions
//--------------------------------------------------------------------------
#ifndef _CYWUSB6935__H_
#define _CYWUSB6935__H_

#define REG_ID                  0x00
#define mVERSION         0x0F
#define mMANUFACTURING   0xF0


//#define REG_SYN_A_CNT           0x01
//#define mSYN_A_COUNT     0x1F

//#define REG_SYN_N_CNT           0x02
//#define mSYN_N_COUNT     0x7F

#define REG_CONTROL             0x03
#define bRX_ENABLE          0x80
#define bTX_ENABLE          0x40
#define bPN_CODE_SELECT     0x20
#define bBYPASS_INTERNAL_SYN_LOCK_SIGNAL 0x10
#define bAUTO_PA_DISABLE    0x08
#define bPA_ENABLE          0x04
//#define bAUTO_SYN_DISABLE   0x02
//#define bSYN_ENABLE         0x01

#define REG_DATA_RATE           0x04
#define b32_CHIP_BITS       0x04
#define b64_CHIP_BITS       0x00
#define bDOUBLE_DATA_RATE   0x02
#define bNORMAL_DATA_RATE   0x00
#define b12X_OVER_SAMPLING  0x01
#define b6X_OVER_SAMPLING   0x00


#define REG_CONFIG              0x05
//#define bRX_INVERT          0x10
//#define bTX_INVERT          0x08
#define bIRQ_OD             0x02
#define bIRQ_CMOS           0x00
#define bIRQ_ACTIVE_HIGH    0x01
#define bIRQ_ACTIVE_LOW     0x00


#define REG_SERDES_CTL          0x06
#define bSERDES_ENABLE      0x08
#define mEND_OF_FRAME_LEN   0x07


#define REG_RX_INT_EN           0x07
#define bUNDER_B            0x80
#define bOVER_B             0x40
#define bEOF_B              0x20
#define bFULL_B             0x10
#define bUNDER_A            0x08
#define bOVER_A             0x04
#define bEOF_A              0x02
#define bFULL_A             0x01


#define REG_RX_INT_STAT         0x08
#define bRX_VALID_B         0x80    
#define bRX_VALID_A         0x08    
// Other bit defines are the same as REG_RX_INT_EN

#define REG_RX_DATA_A           0x09

#define REG_RX_VALID_A          0x0A

#define REG_RX_DATA_B           0x0B

#define REG_RX_VALID_B          0x0C

#define REG_TX_INT_EN           0x0D
#define bTX_UNDERFLOW       0x08
#define bTX_OVERFLOW        0x04
#define bTX_DONE            0x02
#define bTX_EMPTY           0x01

#define REG_TX_INT_STAT         0x0E
// Bit defines are the same as REG_TX_INT_EN

#define REG_TX_DATA             0x0F

#define REG_TX_VALID            0x10

#define REG_PN_CODE             0x11    
// Address 0x11 is LSB, 0x18 is MSB
// Transmit and receive LSB first

#define REG_THRESHOLD_L         0x19    
#define mTHRESHOLD_L        0x7F

#define REG_THRESHOLD_H         0x1A
#define mTHRESHOLD_H        0x7F


//#define  Reserved    Register 0x1B
#define REG_WAKE_EN             0x1C
#define bWAKE_EN            0x01

#define REG_WAKE_STAT           0x1D
#define bWAKE_STATUS        0x01

//#define  Reserved    Register 0x1E
//#define  Reserved    Register 0x1F

#define REG_ANALOG_CTL          0x20
#define bAGC_DISABLE        0x40
#define bMID_READ_ENABLE    0x20
#define bPA_OUTPUT_ENABLE   0x04
#define bPA_INVERT          0x02
#define bRESET              0x01

#define REG_CHANNEL             0x21
#define bA_AND_N            0x80
#define mCHANNEL            0x7F

#define REG_RSSI                0x22
#define bRSSI_VALID         0x20
#define mRSSI               0x1F

#define REG_PA                  0x23
#define mPA_BIAS            0x07

#define REG_CRYSTAL_ADJ         0x24
#define bCLOCK_DISABLE      0x40
#define mCRYSTAL_ADJ        0x3F

//#define  Reserved    Register 0x25

#define REG_VCO_CAL             0x26
#define bMINUS5_PLUS5       0xC0
#define bMINUS2_PLUS3       0x80

//#define  Reserved    Register 0x27
//#define  Reserved    Register 0x28
//#define  Reserved    Register 0x29
//#define  Reserved    Register 0x2A
//#define  Reserved    Register 0x2B
//#define  Reserved    Register 0x2C
//#define  Reserved    Register 0x2D

#define REG_AGC_CTL             0x2E
#define bAGC_LOCK           0x80

#define REG_CARRIER_DETECT      0x2F
#define bCDET_OVERRIDE      0x80

//#define  Reserved    Register 0x30
//#define  Reserved    Register 0x31

#define REG_CLOCK_MANUAL        0x32
#define CM_DEFAULT          0x41

#define REG_CLOCK_ENABLE        0x33
#define CE_DEFAULT          0x41

//#define  Reserved    Register 0x34
//#define  Reserved    Register 0x35
//#define  Reserved    Register 0x36
//#define  Reserved    Register 0x37

#define REG_SYN_LOCK_CNT        0x38

//#define  Reserved    Register 0x39
//#define  Reserved    Register 0x3A
//#define  Reserved    Register 0x3B

#define REG_MID                 0x3C
// Address 0x3C is LSB, 0x3F is MSB

//--------------------------------------------------------------------------

#endif // _CYWUSB6935__H_
